## bochs 2.4.2

=== debian/changelog ===
bochs (2.4.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #504740
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)
  * Drop debian/patches/12_no-ssp.patch as upstream has given -fno-stack
    -protector as an option to GCC32 in bios/Makefile.in.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 08 Jan 2010 17:44:59 +0530

bochs (2.4.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: New file.
  * Do no use obsolete --enable-vme configure option.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded quilt references in debian/README.source.
  * Use system libltdl shared library. (Closes: #560884)
  * Switch Build-Depends from libwxgtk2.6-dev to libwxgtk2.8-dev.
    Thanks to Ryan Niebur <ryan@debian.org>. (Closes: #561188)
  * Add ${misc:Depends} to every package Depends field.

 -- Guillem Jover <guillem@debian.org>  Mon, 28 Dec 2009 20:16:50 +0100

bochs (2.4.1-2) unstable; urgency=low

  * Remove unused “libreadline5-dev | libreadline-dev” from Build-Depends.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Use .so extensions instead of .la in the plugin loader so that we can
    stop shipping .la files.
    - debian/patches/12_use_so_plugins.patch: New file.
  * Rename conf_args to conf_arch_args in debian/rules.
  * Move -e from the shebang to a 'set -e' in debian/launcher.
  * Update config.guess and config.sub before running configure and remove
    them on clean to avoid shipping them on the diff.
  * Build-Depend on autotools-dev to guarantee updated config.* files.

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Sep 2009 16:16:38 +0200

bochs (2.4.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #397307)
    - debian/patches/12_no-ssp.patch: Build bios with -fno-stack-protector
      + Refresh patch
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 09 Jul 2009 12:25:17 +0530

bochs (2.4.1-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch: Remove.
    - debian/patches/11_docbook_section_name.patch: Fix another underscored
      link.
  * Add support for building the bochsbios architecture independent package
    also on any-amd64 systems, and add gcc-multilib for such systems to
    Build-Depends-Indep.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jul 2009 08:19:37 +0200

bochs (2.3.7+20090416-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #370427), remaining changes:
    - debian/patches/12_no-ssp.patch: Build bios with -fno-stack-protector
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- David Futcher <bobbo@ubuntu.com>  Thu, 30 Apr 2009 07:46:11 +0100

bochs (2.3.7+20090416-1) unstable; urgency=low

  * New upstream snapshot.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/10_enable_iasl.patch: Likewise.
    - debian/patches/11_docbook_section_name.patch: New file.
    - debian/patches/11_ftbfs_3dnow.patch: Remove, fixed upstream.
  * Do no use obsolete --enable-icache configure option.
  * Fix a bashism in /etc/bochs-init/init.sh by explicitely specifing the
    variable REPLY for read. (Closes: #489543)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add QEMU patches for bochsbios. (Closes: #523305)
    - debian/patches/0006_qemu-bios-use-preprocessor-for-pci-link-routing.patch
    - debian/patches/0007_bios-add-26-pci-slots,-bringing-the-total-to-32.patch
    - debian/patches/0008_qemu-bios-provide-gpe-_l0x-methods.patch
    - debian/patches/0009_qemu-bios-pci-hotplug-support.patch
    - debian/patches/0011_read-additional-acpi-tables-from-a-vm.patch
    - debian/patches/0012-load-smbios-entries-and-files-from-qemu.patch
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch
  * Remove comment from README.Debian about x86-64 support not being enabled.
  * Remove unused and obsolete plex86 patch.
    - debian/patches/plex86.disabled
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Add following configure options (to explicitly enable them):
    --enable-pcidev (only on Linux), --enable-acpi, --enable-usb-ohci,
    --enable-a20-pin, --enable-sse-extension, --enable-xsave, --enable-sep,
    --enable-popcnt, --enable-movbe.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 Apr 2009 02:42:15 +0200

bochs (2.3.7-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - 12_no-ssp.patch (formerly 11_no-ssp.patch): 
      Build with -fno-stack-protector
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- David Futcher <bobbocanfly@gmail.com>  Mon, 30 Jun 2008 10:04:21 +0100

bochs (2.3.7-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/01_build.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/11_ftbfs_3dnow.patch: New file. Fix FTBFS.
    - debian/patches/99_upstream_bios_update.patch: Remove, in sync with
      upstream now.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 03:58:49 +0300



=== debian/control ===
Source: bochs
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 7),
 autotools-dev, autoconf, libltdl-dev, libz-dev, libncurses5-dev,
 libaa1-dev, libsvga1-dev [i386 amd64], libx11-dev, libxpm-dev, libice-dev,
 libsm-dev, libsdl1.2-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
 docbook-utils, gcc-multilib [any-amd64]
Homepage: http://bochs.sourceforge.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
Standards-Version: 3.8.3

Package: bochs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
 bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
Recommends: bximage | createdisk
Suggests: bochs-doc, debootstrap, grub-disk, gcc | c-compiler, libc-dev
Description: IA-32 PC emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 Bochs is capable of running most operating systems inside the emulation
 including GNU, GNU/Linux, *BSD, FreeDOS, MSDOS and Windows 95/NT.

Package: bochs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Bochs upstream documentation
 This package contains the HTML documentation of the Bochs project.
 .
 The documentation is divided into three parts:
 .
  * User Guide
  * Development Guide
  * Documentation Guide

Package: bochsbios
Architecture: all
Depends: ${misc:Depends}
Replaces: bochs (<< 2.0), bochsbios-qemu (<< 2.3.6-2)
Conflicts: bochsbios-qemu (<< 2.3.6-2)
Description: BIOS for the Bochs emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains the BIOS of the Bochs project.

Package: bochs-wx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: WxWindows plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains a WxWindows GUI plugin for Bochs.

Package: bochs-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: SDL plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an SDL GUI plugin for Bochs.
 .
 Use Scroll-Lock key for full screen.

Package: bochs-term
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1), bochs-curses
Provides: bochs-gui
Description: Terminal (ncurses-based) plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains a Terminal (ncurses-based) GUI plugin for Bochs.

Package: bochs-x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: X11 plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an X11 GUI plugin for Bochs.

Package: bochs-svga
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Provides: bochs-gui
Description: SVGA plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an SVGA GUI plugin for Bochs.
 .
 **VERY IMPORTANT WARNING**
 Running Bochs with this plugin will redirect all your keyboard input
 (including ALT+Fx) to the guest OS, blocking your terminal. An exception
 is the F12 key, which you can use to interrupt the emulation.

Package: bximage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk Image Creation Tool for Bochs
 This tool is part of the Bochs project. Its purpose is to generate
 disk images that are used to allocate the guest operating system in
 Bochs environment.

Package: sb16ctrl-bochs
Architecture: i386 hurd-i386 kfreebsd-i386 knetbsd-i386
Replaces: sb16ctrl
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: control utility for Bochs emulated SB16 card
 You can use this utility to perform some query operations on
 the Bochs emulated SB16 card. It needs to be installed in your
 Debian-based guest OS.
 .
 The sb16ctrl utility contained in this package can only be used
 from inside the Bochs emulator. DO NOT TRY IT ON REAL HARDWARE.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
# Copyright © 2002-2004 Robert Millan <rmh@debian.org>
# Copyright © 2004-2009 Guillem Jover <guillem@debian.org>
#

tmpdir := $(CURDIR)/debian/tmp
pkg_bochs := $(CURDIR)/debian/bochs

DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
else
  conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

sb16 := dummy
cdrom := cdrom

ifeq ($(DEB_HOST_ARCH_OS),linux)
  kernel := linux
  conf_arch_args += \
    --enable-pcidev \
    --enable-ne2000 \
    --enable-pnic
  eth := eth0
  sb16 := linux
  com := ttyS0
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),i386 amd64))
  conf_arch_args += --with-svga
endif
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  kernel := fbsd
  conf_arch_args += --enable-ne2000 --enable-pnic
  eth := xl0
  sb16 := freebsd
  com := cuua0
  cdrom := acd0
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  com := com0
endif

clean:
	dh_testdir
	dh_testroot
	
	[ ! -f bios/Makefile ] || $(MAKE) -C bios bios-clean
	rm -f bios/VGABIOS-*
	rm -f misc/sb16/sb16ctrl
	[ ! -f Makefile ] || $(MAKE) dist-clean
	rm -f config.sub config.guess
	
	dh_clean

configure: configure.in
	dh_testdir
	
	autoconf

config.status: configure
	dh_testdir
	
	-test -r /usr/share/misc/config.sub && \
	  cp -fu /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -fu /usr/share/misc/config.guess config.guess
	
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
	  $(conf_gnu_type) \
	  --prefix=/usr \
	  --mandir=\$${prefix}/share/man \
	  --with-x11 \
	  --with-term \
	  --with-sdl \
	  --with-wx \
	  --enable-cdrom \
	  --enable-vbe \
	  --enable-acpi \
	  --enable-pci \
	  --enable-usb \
	  --enable-usb-ohci \
	  --enable-a20-pin \
	  --enable-apic \
	  --enable-cpu-level=6 \
	  --enable-x86-64 \
	  --enable-fpu \
	  --enable-mmx \
	  --enable-3dnow \
	  --enable-sse=4 \
	  --enable-sse-extension \
	  --enable-xsave \
	  --enable-sep \
	  --enable-popcnt \
	  --enable-movbe \
	  --enable-gdb-stub \
	  --enable-disasm \
	  --enable-idle-hack \
	  --enable-all-optimizations \
	  --enable-repeat-speedups \
	  --enable-plugins \
	  --enable-compressed-hd \
	  --enable-sb16=$(sb16) \
	  $(conf_arch_args)

build: build-arch

build-arch: config.status
	dh_testdir
	
	$(MAKE)
	
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	$(CC) misc/sb16/sb16ctrl.c -o misc/sb16/sb16ctrl
endif

build-indep: config.status
	dh_testdir
	
ifeq (,$(findstring $(DEB_HOST_ARCH_CPU),i386 amd64))
	$(error "build-indep will only succeed on any-i386 or any-amd64")
endif
	
	# bochsbios
	$(MAKE) -C bios

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s
	
	# Hack to keep install target happy
	touch bios/VGABIOS-fake
	
	$(MAKE) install DESTDIR=$(tmpdir)
	
	# misc cleanup
	rm -f \
	  $(tmpdir)/usr/share/bochs/install-x11-fonts \
	  $(tmpdir)/usr/share/bochs/test-x11-fonts \
	  $(tmpdir)/usr/share/man/man1/bochs-dlx.1.gz \
	  $(tmpdir)/usr/share/doc/bochs/COPYING.gz \
	  $(tmpdir)/usr/bin/bochs-docs
	
	# bochs
	cat $(tmpdir)/usr/share/doc/bochs/bochsrc-sample.txt \
	| sed \
	  -e "s/#kernel#/$(kernel)/g" \
	  -e "s/#eth#/$(eth)/g" \
	  -e "s/#com#/$(com)/g" \
	  -e "s/#cdrom#/$(cdrom)/g" \
	| gzip -c9 \
	> $(pkg_bochs)/usr/share/doc/bochs/examples/bochsrc.gz
	rm -f $(tmpdir)/usr/share/doc/bochs/bochsrc-sample.txt
	
	mv $(tmpdir)/usr/bin/bochs \
	   $(tmpdir)/usr/bin/bochs-bin
	install -m755 debian/launcher \
		      $(tmpdir)/usr/bin/bochs
	
	cp -a debian/etc debian/tmp/
	chmod 755 $(tmpdir)/etc/bochs-init/init.sh
	
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cp misc/sb16/sb16ctrl \
	   $(tmpdir)/usr/bin/
endif

install-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	
	# bochsbios
	cp bios/BIOS* \
	   $(tmpdir)/usr/share/bochs/
	
	# bochs-doc
	cp /usr/share/sgml/docbook/stylesheet/dsssl/modular/images/note.gif \
	   $(tmpdir)/usr/share/doc/bochs/images/

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_install -i --sourcedir=$(tmpdir)
	
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i CHANGES
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -s
	dh_testroot -s
	dh_install -s -Nbochs --sourcedir=$(tmpdir)
	dh_install -pbochs --sourcedir=$(tmpdir) # bochs should be last
	dh_installdocs -s
	dh_installexamples -s
	dh_installmenu -s
	dh_installman -s
	dh_installchangelogs -s CHANGES
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean install install-indep
.PHONY: binary-indep binary-arch binary

## bochs 2.4.5

=== debian/changelog ===
bochs (2.4.5-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: Remove.
  * Do not use obsolete --enable-apic, --enable-cpu-level=6, --enable-x86-64,
    --enable-fpu, --enable-mmx, --enable-sse=4, --enable-sse-extension,
    --enable-xsave, --enable-sep, --enable-popcnt and --enable-movbe options.
  * Do not use incomplete --enable-3dnow option.
  * Improve tarball.sh to fix wrong permissions from upstream tarballs.
  * Improve cleanup to fix building twice in a row.
  * Use system ltdl.h. (Closes: #560884)
    - Remove all file dependencies on ltdl.h.
    - Run libtoolize and aclocal in configure target.
    - Add automake and libtool to Build-Depends.
    - Remove ltdl.c, ltdl.h, ltdlconf.h, ltmain.sh and aclocal.m4 on clean.
    - Remove references to ltdlconf.h.
    - Fix configure.in to use system AC_SYS_LARGEFILE instead of local one.
  * Fix binary-arch target to not require Build-Depends-Indep packages to
    be installed. (Closes: #562964)
    - Disable docbook support in configure so that it does not fail when
      we only want build-arch or binary-arch.
    - On build-indep build doc/docbook and pass DOCBOOK2HTML to it (because
      it's no longer set by configure).
    - On install-indep install doc/docbook, remove install target dependency,
      call dh_prep, and populate the debian/tmp directory.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Add a source lintian override for the architecture wildcard used in
    Build-Depends-Indep to allow cross-building the bios images.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Jun 2010 20:43:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: bochs
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends: debhelper (>= 7),
- autotools-dev, autoconf, libltdl-dev, libz-dev, libncurses5-dev,
- libaa1-dev, libsvga1-dev [i386 amd64], libx11-dev, libxpm-dev, libice-dev,
- libsm-dev, libsdl1.2-dev, libwxgtk2.8-dev, libgtk2.0-dev,
+ autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
+ libncurses5-dev, libaa1-dev, libsvga1-dev [i386 amd64], libsdl1.2-dev,
+ libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
  libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
  docbook-utils, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: bochs
 Architecture: any
@@ -45,8 +44,7 @@
 Package: bochsbios
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: bochs (<< 2.0), bochsbios-qemu (<< 2.3.6-2)
-Conflicts: bochsbios-qemu (<< 2.3.6-2)
+Replaces: bochs (<< 2.0)
 Description: BIOS for the Bochs emulator
  Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
  runs on most popular platforms. It includes emulation of the Intel x86 CPU,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
 # Copyright © 2002-2004 Robert Millan <rmh@debian.org>
-# Copyright © 2004-2009 Guillem Jover <guillem@debian.org>
+# Copyright © 2004-2010 Guillem Jover <guillem@debian.org>
 #
 
 tmpdir := $(CURDIR)/debian/tmp
@@ -63,13 +63,22 @@
 	rm -f bios/VGABIOS-*
 	rm -f misc/sb16/sb16ctrl
 	[ ! -f Makefile ] || $(MAKE) dist-clean
+	rm -f bxversion.rc
+	rm -f ltdl.* ltdlconf.*
+	rm -f ltmain.sh
+	rm -f aclocal.m4
 	rm -f config.sub config.guess
+	rm -f configure
 	
 	dh_clean
 
 configure: configure.in
 	dh_testdir
 	
+	libtoolize -c
+	# XXX: Make extra sure we link against the system shared library.
+	rm -rf libltdl
+	aclocal
 	autoconf
 
 config.status: configure
@@ -80,6 +89,9 @@
 	-test -r /usr/share/misc/config.guess && \
 	  cp -fu /usr/share/misc/config.guess config.guess
 	
+	# Note: We disable docbook support here as a cheap way to avoid
+	# building it in build-arch, and only in build-indep. This works
+	# because configure only disables entering the directory.
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
 	  $(conf_gnu_type) \
 	  --prefix=/usr \
@@ -88,6 +100,7 @@
 	  --with-term \
 	  --with-sdl \
 	  --with-wx \
+	  --disable-docbook \
 	  --enable-cdrom \
 	  --enable-vbe \
 	  --enable-acpi \
@@ -95,18 +108,9 @@
 	  --enable-usb \
 	  --enable-usb-ohci \
 	  --enable-a20-pin \
-	  --enable-apic \
 	  --enable-cpu-level=6 \
 	  --enable-x86-64 \
 	  --enable-fpu \
-	  --enable-mmx \
-	  --enable-3dnow \
-	  --enable-sse=4 \
-	  --enable-sse-extension \
-	  --enable-xsave \
-	  --enable-sep \
-	  --enable-popcnt \
-	  --enable-movbe \
 	  --enable-gdb-stub \
 	  --enable-disasm \
 	  --enable-idle-hack \
@@ -137,6 +141,9 @@
 	
 	# bochsbios
 	$(MAKE) -C bios
+	
+	# bochs-doc
+	$(MAKE) -C doc/docbook DOCBOOK2HTML=docbook2html
 
 install: build
 	dh_testdir
@@ -181,16 +188,21 @@
 	   $(tmpdir)/usr/bin/
 endif
 
-install-indep: build-indep install
+install-indep: build-indep
 	dh_testdir
 	dh_testroot
+	dh_prep
 	dh_installdirs -i
 	
 	# bochsbios
+	mkdir -p \
+	   $(tmpdir)/usr/share/bochs/
 	cp bios/BIOS* \
 	   $(tmpdir)/usr/share/bochs/
 	
 	# bochs-doc
+	$(MAKE) -C doc/docbook install DESTDIR=$(tmpdir)
+	
 	cp /usr/share/sgml/docbook/stylesheet/dsssl/modular/images/note.gif \
 	   $(tmpdir)/usr/share/doc/bochs/images/

## bochs 2.4.6

=== plex86/kernel/freebsd/Makefile ===
# FreeBSD Kernel module makefile

SRCS=	../plex86.o
KMOD=	plex86

.include <bsd.kmod.mk>

=== debian/changelog ===
bochs (2.4.6-6) unstable; urgency=low

  * Remove support for libsvga (which is scheduled for removal)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 03 Jun 2013 18:15:20 +0200

bochs (2.4.6-5) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Fix typo (targeted) in README.Debian, spotted by lintian.
  * Remove sb16ctrl.exe from upstream tarball in debian/tarball.sh.
  * Add missing backslash to escape $ on XPM_LIB variable:
    - debian/patches/link-only-needed-libs.patch
  * Enable support for RFB protocol as GUI frontend (works with VNC viewer).
  * Use dpkg-buildflags to set build flags (enables default hardening flags).
    Based on a patch by Moritz Muehlenhoff <jmm@debian.org>. (Closes: #653511)
  * Fix man page warnings due to unescaped ' at the beginning of line.
  * Reorganize patches:
    - Remove sequence numbers from non-imported patch filenames.
    - Rename non-imported patches to more descriptive names.
    - Split 00_base.patch into a local-config.patch and local-paths.patch.
  * Switch sb16ctrl-bochs to any-i386 instead of explicit arch list.
  * Clarify output on what's being done by debian/tarball.sh.
  * Build bochs-svga on all architectures where svgalib is now available;
    implies switching from i386 and amd64 to linux-any and kfreebsd-any.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:10:17 +0100

bochs (2.4.6-4) unstable; urgency=low

  * Do not install the ne2k plugin on systems were it's not supported.
  * Handler Linux 3.x kernels the same way as 2.6.x. (Closes: #647195)
  * Pack bochsrc.5 man page table to fix a man warning.
  * Remove now unneeded source lintian override on arch wildcards usage.
  * Do not unneedingly link the main bochs binary against gtk libraries,
    neither the wx plugin as it only needs the gdk include path.
  * Do not unneedingly link the x plugin against libSM and libICE.

 -- Guillem Jover <guillem@debian.org>  Mon, 31 Oct 2011 20:58:55 +0100

bochs (2.4.6-3) unstable; urgency=low

  * Detect which of jade or openjade is installed at configure time, and
    use the one found. (Closes: #633971)

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Jul 2011 07:59:50 +0200

bochs (2.4.6-2) unstable; urgency=low

  * Set SHELL variables in Makefile.in to @SHELL@ instead of hardcoding
    them to /bin/sh, which confuses libtool as it might get configured
    for bash. (Closes: #625183)
  * Discard .eh_frame sections from the PC BIOS linker scripts, as they
    cause a build problem due to an overlap with the .data section.
  * Use jade instead of docbook2html, and thus switch Build-Depends-Indep
    from docbook-utils to docbook-dsssl.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 05:29:04 +0200

bochs (2.4.6-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/11_docbook_section_name.patch: Remove, merged upstream.
    - debian/patches/12_use_so_plugins.patch: Likewise.
  * Install new hdimage and soundmod plugins.
  * Use linux-any instead of explicit list of architectures for libasound2-dev
    in Build-Depends.
  * Update tarball.sh to use the new svn repository instead of cvs.
  * Update debian/copyright with all copyright holders and years.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Suggest grub-rescue-pc instead of dummy transitional grub-disk package.
    (Closes: #607208)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 04:08:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: bochs
 Section: misc
 Priority: extra
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7),
  autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
- libncurses5-dev, libaa1-dev, libsvga1-dev [i386 amd64], libsdl1.2-dev,
+ libncurses5-dev, libaa1-dev, libsdl1.2-dev,
  libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
+ libasound2-dev [linux-any]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
- docbook-utils, gcc-multilib [any-amd64]
+ docbook-dsssl, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: bochs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
  bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
 Recommends: bximage | createdisk
-Suggests: bochs-doc, debootstrap, grub-disk, gcc | c-compiler, libc-dev
+Suggests: bochs-doc, debootstrap, grub-rescue-pc, gcc | c-compiler, libc-dev
 Description: IA-32 PC emulator
  Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
  runs on most popular platforms. It includes emulation of the Intel x86 CPU,
@@ -102,22 +102,6 @@
  .
  This package contains an X11 GUI plugin for Bochs.
 
-Package: bochs-svga
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
-Provides: bochs-gui
-Description: SVGA plugin for Bochs
- Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
- runs on most popular platforms. It includes emulation of the Intel x86 CPU,
- common I/O devices, and a custom BIOS.
- .
- This package contains an SVGA GUI plugin for Bochs.
- .
- **VERY IMPORTANT WARNING**
- Running Bochs with this plugin will redirect all your keyboard input
- (including ALT+Fx) to the guest OS, blocking your terminal. An exception
- is the F12 key, which you can use to interrupt the emulation.
-
 Package: bximage
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -127,7 +111,7 @@
  Bochs environment.
 
 Package: sb16ctrl-bochs
-Architecture: i386 hurd-i386 kfreebsd-i386 knetbsd-i386
+Architecture: any-i386
 Replaces: sb16ctrl
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: control utility for Bochs emulated SB16 card

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
 # Copyright © 2002-2004 Robert Millan <rmh@debian.org>
-# Copyright © 2004-2010 Guillem Jover <guillem@debian.org>
+# Copyright © 2004-2012 Guillem Jover <guillem@debian.org>
 #
 
 tmpdir := $(CURDIR)/debian/tmp
@@ -19,33 +19,24 @@
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
+WFLAGS = -Wall
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 sb16 := dummy
 cdrom := cdrom
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   kernel := linux
-  conf_arch_args += \
-    --enable-pcidev \
-    --enable-ne2000 \
-    --enable-pnic
+  conf_arch_args += --enable-pcidev
   eth := eth0
   sb16 := linux
   com := ttyS0
-ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),i386 amd64))
-  conf_arch_args += --with-svga
-endif
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   kernel := fbsd
-  conf_arch_args += --enable-ne2000 --enable-pnic
   eth := xl0
   sb16 := freebsd
   com := cuua0
@@ -53,6 +44,11 @@
 endif
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
   com := com0
+endif
+
+ifneq (,$(strip $(eth)))
+  conf_arch_args += --enable-ne2000 --enable-pnic
+  bochs_add_files += usr/lib/bochs/plugins/libbx_ne2k.so*
 endif
 
 clean:
@@ -92,11 +88,16 @@
 	# Note: We disable docbook support here as a cheap way to avoid
 	# building it in build-arch, and only in build-indep. This works
 	# because configure only disables entering the directory.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
+	CPPFLAGS="$(CPPFLAGS)" \
+	CFLAGS="$(CFLAGS)" \
+	CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
+	./configure \
 	  $(conf_gnu_type) \
 	  --prefix=/usr \
 	  --mandir=\$${prefix}/share/man \
 	  --with-x11 \
+	  --with-rfb \
 	  --with-term \
 	  --with-sdl \
 	  --with-wx \
@@ -143,7 +144,7 @@
 	$(MAKE) -C bios
 	
 	# bochs-doc
-	$(MAKE) -C doc/docbook DOCBOOK2HTML=docbook2html
+	$(MAKE) -C doc/docbook USE_JADE=1
 
 install: build
 	dh_testdir
@@ -226,7 +227,8 @@
 	dh_testdir -s
 	dh_testroot -s
 	dh_install -s -Nbochs --sourcedir=$(tmpdir)
-	dh_install -pbochs --sourcedir=$(tmpdir) # bochs should be last
+	# bochs should be last
+	dh_install -pbochs --sourcedir=$(tmpdir) $(bochs_add_files)
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installmenu -s
@@ -246,4 +248,3 @@
 
 .PHONY: build build-arch build-indep clean install install-indep
 .PHONY: binary-indep binary-arch binary
-

## bochs 2.5.1

=== debian/changelog ===
bochs (2.5.1-1) experimental; urgency=low

  !! This release gets random app freezes when using the wxWidgets GUI. !!

  * Orphan package, set maintainer to Debian QA Group.
  * New upstream release.
    - Refresh patches.
  * Do not use obsolete --enable-acpi and --enable-vbe options.
  * Use --enable-ne2000 and --enable-pnic on all systems, as now a dummy
    backend is used automatically as a system fallback.
  * Do not manually specify a backend to --enable-sb16, configure selects
    the correct one automatically.
  * Add following configure options: --enable-avx, --enable-vmx=2,
    --enable-es1370 and --enable-clgd54xx.
  * Switch from gdb-stub to the internal GUI debugger, as the former is
    unmaintained upstream. It might need disabling prior to an upload to
    unstable though, as the debugging screen appearing on start is a bit
    annoying, if one does not want to debug anything. Or alternatively
    making the debugging screen not appear on start. (Closes: #499567)
  * Bump bochs versioned Depends on vgabios to >= 0.7a-1.
  * Fix man page warnings due to unescaped ' at the beginning of line,
    and table lines using more than 80 characters.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:33:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 7), flex, bison,
  autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
  libncurses5-dev, libaa1-dev, libsdl1.2-dev,
  libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libasound2-dev [linux-any]
+ libsvga1-dev [linux-any kfreebsd-any], libasound2-dev [linux-any]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
  docbook-dsssl, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
@@ -17,7 +17,7 @@
 Package: bochs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
- bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
+ bochsbios (= ${source:Version}), vgabios (>= 0.7a-1)
 Recommends: bximage | createdisk
 Suggests: bochs-doc, debootstrap, grub-rescue-pc, gcc | c-compiler, libc-dev
 Description: IA-32 PC emulator
@@ -102,6 +102,22 @@
  .
  This package contains an X11 GUI plugin for Bochs.
 
+Package: bochs-svga
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
+Provides: bochs-gui
+Description: SVGA plugin for Bochs
+ Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
+ runs on most popular platforms. It includes emulation of the Intel x86 CPU,
+ common I/O devices, and a custom BIOS.
+ .
+ This package contains an SVGA GUI plugin for Bochs.
+ .
+ **VERY IMPORTANT WARNING**
+ Running Bochs with this plugin will redirect all your keyboard input
+ (including ALT+Fx) to the guest OS, blocking your terminal. An exception
+ is the F12 key, which you can use to interrupt the emulation.
+
 Package: bximage
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,30 +25,25 @@
 CXXFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
-sb16 := dummy
 cdrom := cdrom
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   kernel := linux
   conf_arch_args += --enable-pcidev
+  conf_arch_args += --with-svga
   eth := eth0
-  sb16 := linux
   com := ttyS0
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   kernel := fbsd
+  conf_arch_args += --with-svga
   eth := xl0
-  sb16 := freebsd
   com := cuua0
   cdrom := acd0
 endif
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
+  eth := eth0
   com := com0
-endif
-
-ifneq (,$(strip $(eth)))
-  conf_arch_args += --enable-ne2000 --enable-pnic
-  bochs_add_files += usr/lib/bochs/plugins/libbx_ne2k.so*
 endif
 
 clean:
@@ -103,23 +98,28 @@
 	  --with-wx \
 	  --disable-docbook \
 	  --enable-cdrom \
-	  --enable-vbe \
-	  --enable-acpi \
 	  --enable-pci \
 	  --enable-usb \
 	  --enable-usb-ohci \
 	  --enable-a20-pin \
 	  --enable-cpu-level=6 \
 	  --enable-x86-64 \
+	  --enable-avx \
+	  --enable-vmx=2 \
 	  --enable-fpu \
-	  --enable-gdb-stub \
+	  --enable-debugger \
+	  --enable-debugger-gui \
 	  --enable-disasm \
 	  --enable-idle-hack \
 	  --enable-all-optimizations \
 	  --enable-repeat-speedups \
 	  --enable-plugins \
 	  --enable-compressed-hd \
-	  --enable-sb16=$(sb16) \
+	  --enable-clgd54xx \
+	  --enable-sb16 \
+	  --enable-es1370 \
+	  --enable-ne2000 \
+	  --enable-pnic \
 	  $(conf_arch_args)
 
 build: build-arch
@@ -226,9 +226,7 @@
 binary-arch: install
 	dh_testdir -s
 	dh_testroot -s
-	dh_install -s -Nbochs --sourcedir=$(tmpdir)
-	# bochs should be last
-	dh_install -pbochs --sourcedir=$(tmpdir) $(bochs_add_files)
+	dh_install -s --sourcedir=$(tmpdir)
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installmenu -s

## bochs 2.6

=== debian/changelog ===
bochs (2.6-6) unstable; urgency=medium

  * QA upload.
  * Migrate to Salsa.
  * Update watch file (thanks to Florian Tobias Schandinat). Closes:
    #814487.
  * Handle change in iasl’s output. Closes: #902454. See #899318 for
    details.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jul 2018 13:52:19 +0200

bochs (2.6-5) unstable; urgency=medium

  * QA upload.
  * Apply patch from Chris Lamb to build under recent versions of Linux.
    Closes: #802188.

 -- Santiago Vila <sanvila@debian.org>  Mon, 19 Oct 2015 00:05:38 +0200

bochs (2.6-4) unstable; urgency=medium

  * QA upload.
  * Set the "BIOS build date" to be the latest upstream release date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 20:23:00 +0200

bochs (2.6-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -n option to gzip call.
  * debian/control: Change section to otherosfs, following override file.
  * Add debian/patches/do-not-show-the-build-date.patch to make the build
    reproducible.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Sep 2015 21:00:50 +0200

bochs (2.6-2) unstable; urgency=low

  * QA upload.
  * Drop support for libsvga1, as it's no longer packaged.  (Closes: #731021)
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Fri, 30 May 2014 14:03:57 +1200

bochs (2.6-1) experimental; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes random wxWidgets GUI freezes.
    - Refresh patches.
    - debian/patches/bios-discard-eh_frame.patch: Remove, merged upstream.
    - debian/patches/build-fix-SHELL.patch: Likewise.
    - debian/patches/build-fix-libtool-calls.patch: Likewise.
    - debian/patches/build-link-only-needed-libs.patch: Likewise.
    - debian/patches/build-on-linux-3.x.patch: Likewise.
    - debian/patches/build-recursive-make.patch: Likewise.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Honour standard build flags, so that hardening gets properly enabled.
    Based on a patch by Simon Ruderich <simon@ruderich.org>.
    (Closes: #653511)

 -- Guillem Jover <guillem@debian.org>  Mon, 04 Feb 2013 21:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: bochs
-Section: misc
+Section: otherosfs
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), flex, bison,
  autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
  libncurses5-dev, libaa1-dev, libsdl1.2-dev,
- libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libsvga1-dev [linux-any kfreebsd-any], libasound2-dev [linux-any]
+ libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk3.0-dev, libgtk2.0-dev,
+ libasound2-dev [linux-any]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
  docbook-dsssl, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
-Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
-Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
-Standards-Version: 3.9.2
+Vcs-Browser: https://salsa.debian.org/debian/bochs
+Vcs-Git: https://salsa.debian.org/debian/bochs.git
+Standards-Version: 3.9.4
 
 Package: bochs
 Architecture: any
@@ -102,22 +102,6 @@
  .
  This package contains an X11 GUI plugin for Bochs.
 
-Package: bochs-svga
-Architecture: linux-any kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
-Provides: bochs-gui
-Description: SVGA plugin for Bochs
- Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
- runs on most popular platforms. It includes emulation of the Intel x86 CPU,
- common I/O devices, and a custom BIOS.
- .
- This package contains an SVGA GUI plugin for Bochs.
- .
- **VERY IMPORTANT WARNING**
- Running Bochs with this plugin will redirect all your keyboard input
- (including ALT+Fx) to the guest OS, blocking your terminal. An exception
- is the F12 key, which you can use to interrupt the emulation.
-
 Package: bximage
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://sf.net/bochs/bochs-([\d.]*)\.tar\.gz debian uupdate
